---
gitea: none
include_toc: false
---

# Gis Server playbook

This is a playbook to install and configure qgis-server, lizmap-web-client and postgresql on a debian server.

## User Guide

Compile the [User Guide](./docs/User_guide.adoc) to see how you can get started

Alternatively you can download the version shipped with the latest release

Requirements

- This repository or the latest release

  ```bash
  wget https://somepi.ddns.net/gitea/gilex-dev/GisServer/archive<latest-release-tag>.zip
  unzip GisServer-<latest-release-tag>.zip
  # or via git
  git clone https://somepi.ddns.net/gitea/gilex-dev/GisServer.git
  cd GisServer
  git --branch <latest-release-tag>
  ```

- The `gem` command to install ruby gems
  ```bash
  # run one of the following (depending on your package manager)
  sudo dnf install ruby-devel
  sudo apt install ruby-dev
  ```
- The `asciidoctor-pdf` (asciidoctor + pdf conversion), `rouge` (syntax highlighting) and `rghost` (pdf optimization) gem
  ```bash
  gem install asciidoctor-pdf rouge rghost # you might have to run with 'sudo'
  ```

Then compile the guide:

```bash
# for pdf
asciidoctor-pdf -a optimize ./docs/User_guide.adoc
# for html WARNING: external resources are loaded when opening (fonts.googleapis.com, fonts.gstatic.com, cdnjs.cloudflare etc.)
asciidoctor ./docs/User_guide.adoc
```

## License

[GNU GPLv3 only](./COPYING.md)
